天气与日历 切换到窄版

 找回密码
 立即注册
中国膜结构网
十大进口膜材评选 十大国产膜材评选 十大膜结构设计评选 十大膜结构公司评选
查看: 77|回复: 0

ObjectARX 修改选中实体的颜色

[复制链接]

该用户从未签到

主题

0

回帖

2912

积分

管理员

积分
2912
发表于 2024-6-22 09:46:18 | 显示全部楼层 |阅读模式
////修改选中实体的颜色  
static void TESTchangecolorcmd()
{  
        ads_name ssname;  
        ////选择多个实体,传递NULL,让用户自己来选  
        acedSSGet(NULL,NULL,NULL,NULL,ssname);  
        long len;  
        acedSSLength(ssname,&len);  
        CString ss;  
        ss.Format(_T("已选中%d个实体"),len);  
        acutPrintf(ss);  

        ads_name entname;  

        AcDbObjectId id;  
        AcDbEntity* ent = NULL;  
        CString strName;  
        int nNewColor;  
        ////弹出颜色选择对话框  
        if(acedSetColorDialog(nNewColor,Adesk::kFalse,256) != IDOK){  
                return;  
        }   
        for(int i=0;i<len;i++)  
        {  
            if(acedSSName(ssname, i, entname) == RTNORM)  
                {  
                        ////根据名称得到ID  
                        acdbGetObjectId(id,entname);  

                        ////以写模式,根据ID索引到对象,并打开ENTITY  
                        acdbOpenObject(ent,id,AcDb::OpenMode::kForWrite);  
                        strName.Format(_T("%d"),ent->colorIndex());  
                        acutPrintf(_T("\n"));  
                        acutPrintf(strName);  


/////如果只限制直线  
/*if(ent->isKindOf(AcDbLine::desc())){


acutPrintf(_T("\nfind line"));
ent->setColorIndex(nNewColor);
ent->close();
}*/  

                        ent->setColorIndex(nNewColor);  
                        ent->close();  
                }  
        }  
        acedSSFree(ssname);  
}  

 

 

 

 

ObjectARX 修改选中实体的颜色
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|中国膜结构网|中国膜结构协会|进口膜材|国产膜材|ETFE|PVDF|PTFE|设计|施工|安装|车棚|看台|污水池|中国膜结构网_中国空间膜结构协会

GMT+8, 2024-11-1 11:41 , Processed in 0.132751 second(s), 24 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表